@use '../../global/styles-variables' as *;

:host {
  display: block;
}

digi-util-breakpoint-observer {
  &,
  & > * {
    width: 100%;
    display: block;
  }
}

.digi-docs__header-info {
  --digi--layout-block--background: #F1F8FE;

  p {
    padding: var(--digi--padding--smaller) 0;
    margin: 0;
  }

}

.digi-docs__logo-link {
  text-decoration: none;
}

.digi-docs__header {
  border-bottom: var(--digi--border-width--primary) solid var(--digi--color--border--neutral-2);
}

.digi-docs__header-inner {
  display: flex;
  width: 100%;
  align-items: stretch;
  padding-top: var(--digi--padding--large);
  padding-bottom: var(--digi--padding--large);
}

.digi-docs__header-end {
  display: flex;
  align-items: center;
  margin-left: auto;

  @media screen and (min-width: $digi--breakpoint--medium) {
    padding-right: var(--digi--padding--medium);
  }
}